﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace SfCalendar_117522
{
    public class Appointment
    {
        public string Title { get; set; }

        public string Description { get; set; }

        public Appointment(string title, string description)
        {
            Title = title;
            Description = description;
        }
    }

    public class AppointmentSource : Dictionary<DateTime, Appointment>
    {
        public AppointmentSource()
        {
            Add(DateTime.Now.Date, new Appointment("General Board meeting", "Board meeting with general manager discussing the plans of WinRT Developement."));

        }

        public void AddAppointment(DateTime date)
        {
            try
            {
                Add(date, new Appointment("General Board meeting", "Board meeting with general manager discussing the plans of WinRT Developement."));
            }
            catch (Exception e) { }
        }

        public void RemoveAppointment(DateTime date)
        {
            Remove(date);
        }
    }
}
